---
title: "查询订阅合同详情"
description: "查询订阅合同详情"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/subscription-order/query-subscription-contract-details'
  md: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/subscription-order/query-subscription-contract-details.md'
---
# 查询订阅合同详情

查询订阅合同详情

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_subscription_contracts`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /subscription/:id/contract.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。

## Required Permissions

* `read_subscription_contracts`

## Request

### Path Parameters

* `id`

  string (required)

  合同单号

### Request Headers

* `Content-Type`

  string (required)

  字段值固定为 `application/json; charset=utf-8`。

* `Authorization`

  string (required)

  资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。

## Response

### Status Codes

* `200`

  更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。

### Response Body

#### 200

* `subscription_contract`

  object

  订阅合同信息详情

  * `customer_payment_method`

    object

    付款方式

    * `method_code`

      string

      支付方式编码

    * `store_payment_id`

      string

      支付方式ID

    * `channel_code`

      string

      支付渠道编码

    * `instrument_detail`

      object

      支付工具详情

      * `account`

        object

        帐户信息

      * `card`

        object

        卡号信息

      * `type`

        string

        类型 card / account. card: 卡基；account: 账基

    * `instrument_seq`

      string

      支付工具ID

  * `status`

    string

    订阅合同状态

  * `currency_code`

    string

    店铺币种

  * `updated_at`

    string

    更新时间， 2019-09-07T15:50:00Z

  * `origin_order`

    object

    原始订单信息

    * `id`

      string

      订单号

  * `billing_policy`

    object

    订阅协议计费策略

    * `max_cycles`

      integer

      最大的订阅周期

    * `min_cycles`

      integer

      最小的订阅周期

    * `interval`

      string

      间隔单位, (DAY,MONTH,WEEK,YEAR)

    * `interval_count`

      integer

      间隔值

  * `id`

    string

    合同单号

  * `periods`

    integer

    当前合同已执行的期数

  * `app`

    object

    订阅插件信息

    * `app_key`

      string

      app插件的key

  * `next_billing_date`

    string

    下一个账单日期

  * `line_items`

    array<object>

    关联的商品

    * `image_url`

      string

      商品主图

    * `group_id`

      string

      商品组id

    * `amount`

      string

      商品的金额（两位精度的字符串，如"88.10"）

    * `attributes`

      array<object>

      商品属性：名称，属性值

      * `key`

        string

        属性key或者name

      * `value`

        string

        属性值

    * `quantity`

      integer

      商品数量

    * `sku`

      string

      货号

    * `version`

      string

      商品版本

    * `product_source`

      string

      商品来源 main_site主站商品、customize自定义商品

    * `variant_attribute`

      string

      商品属性

    * `pricing_policy`

      array<object>

      订阅周期折扣

      * `cycle_discounts`

        array<object>

        订阅行的每个周期的调整

    * `title`

      string

      商品标题

    * `variant_id`

      string

      商品sku序列号

    * `amount_set`

      object

      商品的金额,多币种格式

      * `shop_money`

        object

        shop money

      * `presentment_money`

        object

        presentment money

  * `customer`

    object

    用户信息

    * `phone`

      string

      用户电话

    * `shipping_address`

      object

      收货地址

      * `zip`

        string

        邮编

      * `address2`

        string

        收货人详细地址附加

      * `country_code`

        string

        国家或地区，请参考国家代码规范传参，https://aurogon-portal.yy.com/document/interface/478

      * `city`

        string

        收货人市

      * `company`

        string

        公司名称

      * `phone`

        string

        收货人联系方式

      * `province`

        string

        收货人省份

      * `address1`

        string

        收货人详细地址

      * `last_name`

        string

        收货人姓

      * `city_code`

        string

        收货人市code

      * `province_code`

        string

        收货人省份code

      * `district_code`

        string

        收货人区code

      * `first_name`

        string

        收货人名

      * `district`

        string

        收货人区

      * `country`

        string

        国家或者地区

    * `email`

      string

      用户邮件

    * `id`

      string

      用户id, buyerId

    * `nick_name`

      string

      用户昵称

  * `last_payment_status`

    string

    上一次付款状态

  * `delivery_info`

    object

    运送信息

    * `delivery_name`

      string

      方案名称

    * `delivery_seq`

      string

      运费方案的seq

  * `created_at`

    string

    创建时间， 2019-09-07T15:50:00Z


#### 401

* `errors`

  string

  错误描述。


#### 429

* `errors`

  string

  错误描述。


## OpenAPI Definition

```json
{
  "description": "查询订阅合同详情",
  "externalDocs": {
    "description": "接口使用的权限点: `read_subscription_contracts` ，更多权限点使用信息，请参考:",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=zh-hans-cn",
    "errorTableDescription": ""
  },
  "operationId": "1nVWp7Ha",
  "parameters": [
    {
      "name": "id",
      "in": "path",
      "description": "合同单号",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "id",
        "description": "合同单号",
        "type": "string",
        "example": ""
      },
      "example": ""
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "字段值固定为 `application/json; charset=utf-8`。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": "资源的访问令牌。请参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。",
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "subscription_contract": {
                "name": "subscription_contract",
                "description": "订阅合同信息详情",
                "type": "object",
                "properties": {
                  "customer_payment_method": {
                    "name": "customer_payment_method",
                    "description": "付款方式",
                    "type": "object",
                    "properties": {
                      "method_code": {
                        "name": "method_code",
                        "description": "支付方式编码",
                        "type": "string",
                        "example": ""
                      },
                      "store_payment_id": {
                        "name": "store_payment_id",
                        "description": "支付方式ID",
                        "type": "string",
                        "example": ""
                      },
                      "channel_code": {
                        "name": "channel_code",
                        "description": "支付渠道编码",
                        "type": "string",
                        "example": ""
                      },
                      "instrument_detail": {
                        "name": "instrument_detail",
                        "description": "支付工具详情",
                        "type": "object",
                        "properties": {
                          "account": {
                            "name": "account",
                            "description": "帐户信息",
                            "type": "object",
                            "properties": {
                              "name": {
                                "name": "name",
                                "description": "帐户号",
                                "type": "string",
                                "example": ""
                              }
                            },
                            "example": {
                              "name": ""
                            }
                          },
                          "card": {
                            "name": "card",
                            "description": "卡号信息",
                            "type": "object",
                            "properties": {
                              "brand": {
                                "name": "brand",
                                "description": "卡品牌",
                                "type": "string",
                                "example": ""
                              },
                              "brand_icon": {
                                "name": "brand_icon",
                                "description": "卡图标",
                                "type": "string",
                                "example": ""
                              },
                              "expire_month": {
                                "name": "expire_month",
                                "description": "有效期：月",
                                "type": "string",
                                "example": ""
                              },
                              "expire_year": {
                                "name": "expire_year",
                                "description": "有效期：年",
                                "type": "string",
                                "example": ""
                              },
                              "first": {
                                "name": "first",
                                "description": "卡号前置展示位",
                                "type": "string",
                                "example": ""
                              },
                              "holder": {
                                "name": "holder",
                                "description": "持卡人姓名",
                                "type": "string",
                                "example": ""
                              },
                              "last": {
                                "name": "last",
                                "description": "卡号后置展示位",
                                "type": "string",
                                "example": ""
                              }
                            },
                            "example": {
                              "brand": "",
                              "brand_icon": "",
                              "expire_month": "",
                              "expire_year": "",
                              "first": "",
                              "holder": "",
                              "last": ""
                            }
                          },
                          "type": {
                            "name": "type",
                            "description": "类型 card / account. card: 卡基；account: 账基",
                            "type": "string",
                            "example": ""
                          }
                        },
                        "example": {
                          "account": {
                            "name": ""
                          },
                          "card": {
                            "brand_icon": "",
                            "expire_month": "",
                            "expire_year": "",
                            "first": "",
                            "holder": "",
                            "last": "",
                            "brand": ""
                          },
                          "type": ""
                        }
                      },
                      "instrument_seq": {
                        "name": "instrument_seq",
                        "description": "支付工具ID",
                        "type": "string",
                        "example": ""
                      }
                    },
                    "example": {
                      "channel_code": "",
                      "instrument_detail": {
                        "card": {
                          "first": "",
                          "holder": "",
                          "last": "",
                          "brand": "",
                          "brand_icon": "",
                          "expire_month": "",
                          "expire_year": ""
                        },
                        "type": "",
                        "account": {
                          "name": ""
                        }
                      },
                      "instrument_seq": "",
                      "method_code": "",
                      "store_payment_id": ""
                    }
                  },
                  "status": {
                    "name": "status",
                    "description": "订阅合同状态",
                    "type": "string",
                    "example": ""
                  },
                  "currency_code": {
                    "name": "currency_code",
                    "description": "店铺币种",
                    "type": "string",
                    "example": ""
                  },
                  "updated_at": {
                    "name": "updated_at",
                    "description": "更新时间， 2019-09-07T15:50:00Z",
                    "type": "string",
                    "example": ""
                  },
                  "origin_order": {
                    "name": "origin_order",
                    "description": "原始订单信息",
                    "type": "object",
                    "properties": {
                      "id": {
                        "name": "id",
                        "description": "订单号",
                        "type": "string",
                        "example": ""
                      }
                    },
                    "example": {
                      "id": ""
                    }
                  },
                  "billing_policy": {
                    "name": "billing_policy",
                    "description": "订阅协议计费策略",
                    "type": "object",
                    "properties": {
                      "max_cycles": {
                        "name": "max_cycles",
                        "description": "最大的订阅周期",
                        "type": "integer",
                        "example": 0
                      },
                      "min_cycles": {
                        "name": "min_cycles",
                        "description": "最小的订阅周期",
                        "type": "integer",
                        "example": 0
                      },
                      "interval": {
                        "name": "interval",
                        "description": "间隔单位, (DAY,MONTH,WEEK,YEAR)",
                        "type": "string",
                        "example": ""
                      },
                      "interval_count": {
                        "name": "interval_count",
                        "description": "间隔值",
                        "type": "integer",
                        "example": 0
                      }
                    },
                    "example": {
                      "interval_count": 0,
                      "max_cycles": 0,
                      "min_cycles": 0,
                      "interval": ""
                    }
                  },
                  "id": {
                    "name": "id",
                    "description": "合同单号",
                    "type": "string",
                    "example": ""
                  },
                  "periods": {
                    "name": "periods",
                    "description": "当前合同已执行的期数",
                    "type": "integer",
                    "example": 0
                  },
                  "app": {
                    "name": "app",
                    "description": "订阅插件信息",
                    "type": "object",
                    "properties": {
                      "app_key": {
                        "name": "app_key",
                        "description": "app插件的key",
                        "type": "string",
                        "example": ""
                      }
                    },
                    "example": {
                      "app_key": ""
                    }
                  },
                  "next_billing_date": {
                    "name": "next_billing_date",
                    "description": "下一个账单日期",
                    "type": "string",
                    "example": ""
                  },
                  "line_items": {
                    "name": "line_items",
                    "description": "关联的商品",
                    "type": "array",
                    "items": {
                      "name": "line_items",
                      "description": "关联的商品",
                      "type": "object",
                      "properties": {
                        "image_url": {
                          "name": "image_url",
                          "description": "商品主图",
                          "type": "string",
                          "example": ""
                        },
                        "group_id": {
                          "name": "group_id",
                          "description": "商品组id",
                          "type": "string",
                          "example": ""
                        },
                        "amount": {
                          "name": "amount",
                          "description": "商品的金额（两位精度的字符串，如\"88.10\"）",
                          "type": "string",
                          "example": ""
                        },
                        "attributes": {
                          "name": "attributes",
                          "description": "商品属性：名称，属性值",
                          "type": "array",
                          "items": {
                            "name": "attributes",
                            "description": "商品属性：名称，属性值",
                            "type": "object",
                            "properties": {
                              "key": {
                                "name": "key",
                                "description": "属性key或者name",
                                "type": "string",
                                "example": ""
                              },
                              "value": {
                                "name": "value",
                                "description": "属性值",
                                "type": "string",
                                "example": ""
                              }
                            },
                            "example": {
                              "value": "",
                              "key": ""
                            }
                          },
                          "example": [
                            {
                              "key": "",
                              "value": ""
                            }
                          ]
                        },
                        "quantity": {
                          "name": "quantity",
                          "description": "商品数量",
                          "type": "integer",
                          "example": 0
                        },
                        "sku": {
                          "name": "sku",
                          "description": "货号",
                          "type": "string",
                          "example": ""
                        },
                        "version": {
                          "name": "version",
                          "description": "商品版本",
                          "type": "string",
                          "example": ""
                        },
                        "product_source": {
                          "name": "product_source",
                          "description": "商品来源 main_site主站商品、customize自定义商品",
                          "type": "string",
                          "example": ""
                        },
                        "variant_attribute": {
                          "name": "variant_attribute",
                          "description": "商品属性",
                          "type": "string",
                          "example": ""
                        },
                        "pricing_policy": {
                          "name": "pricing_policy",
                          "description": "订阅周期折扣",
                          "type": "array",
                          "items": {
                            "name": "pricing_policy",
                            "description": "订阅周期折扣",
                            "type": "object",
                            "properties": {
                              "cycle_discounts": {
                                "name": "cycle_discounts",
                                "description": "订阅行的每个周期的调整",
                                "type": "array",
                                "items": {
                                  "name": "cycle_discounts",
                                  "description": "订阅行的每个周期的调整",
                                  "type": "object",
                                  "properties": {
                                    "adjustment_value": {
                                      "name": "adjustment_value",
                                      "description": "优惠值 扣减金额（分）或万分比",
                                      "type": "long",
                                      "example": 0
                                    },
                                    "adjustment_type": {
                                      "name": "adjustment_type",
                                      "description": "优惠类型, FIXED_AMOUNT: 减额，PERCENTAGE: 折扣(减去百分比)",
                                      "type": "string",
                                      "example": ""
                                    }
                                  },
                                  "example": {
                                    "adjustment_type": "",
                                    "adjustment_value": 0
                                  }
                                },
                                "example": [
                                  {
                                    "adjustment_type": "",
                                    "adjustment_value": 0
                                  }
                                ]
                              }
                            },
                            "example": {
                              "cycle_discounts": [
                                {
                                  "adjustment_type": "",
                                  "adjustment_value": 0
                                }
                              ]
                            }
                          },
                          "example": [
                            {
                              "cycle_discounts": [
                                {
                                  "adjustment_type": "",
                                  "adjustment_value": 0
                                }
                              ]
                            }
                          ]
                        },
                        "title": {
                          "name": "title",
                          "description": "商品标题",
                          "type": "string",
                          "example": ""
                        },
                        "variant_id": {
                          "name": "variant_id",
                          "description": "商品sku序列号",
                          "type": "string",
                          "example": ""
                        },
                        "amount_set": {
                          "name": "amount_set",
                          "description": "商品的金额,多币种格式",
                          "type": "object",
                          "properties": {
                            "shop_money": {
                              "name": "shop_money",
                              "description": "shop money",
                              "type": "object",
                              "properties": {
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "币种",
                                  "type": "string",
                                  "example": ""
                                },
                                "amount": {
                                  "name": "amount",
                                  "description": "金额",
                                  "type": "string",
                                  "example": ""
                                }
                              },
                              "example": {
                                "currency_code": "",
                                "amount": ""
                              }
                            },
                            "presentment_money": {
                              "name": "presentment_money",
                              "description": "presentment money",
                              "type": "object",
                              "properties": {
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "币种",
                                  "type": "string",
                                  "example": ""
                                },
                                "amount": {
                                  "name": "amount",
                                  "description": "金额",
                                  "type": "string",
                                  "example": ""
                                }
                              },
                              "example": {
                                "amount": "",
                                "currency_code": ""
                              }
                            }
                          },
                          "example": {
                            "presentment_money": {
                              "currency_code": "",
                              "amount": ""
                            },
                            "shop_money": {
                              "amount": "",
                              "currency_code": ""
                            }
                          }
                        }
                      },
                      "example": {
                        "pricing_policy": [
                          {
                            "cycle_discounts": [
                              {
                                "adjustment_value": 0,
                                "adjustment_type": ""
                              }
                            ]
                          }
                        ],
                        "sku": "",
                        "variant_attribute": "",
                        "variant_id": "",
                        "image_url": "",
                        "amount": "",
                        "attributes": [
                          {
                            "key": "",
                            "value": ""
                          }
                        ],
                        "product_source": "",
                        "amount_set": {
                          "presentment_money": {
                            "amount": "",
                            "currency_code": ""
                          },
                          "shop_money": {
                            "amount": "",
                            "currency_code": ""
                          }
                        },
                        "title": "",
                        "version": "",
                        "group_id": "",
                        "quantity": 0
                      }
                    },
                    "example": [
                      {
                        "group_id": "",
                        "image_url": "",
                        "quantity": 0,
                        "variant_attribute": "",
                        "title": "",
                        "product_source": "",
                        "version": "",
                        "attributes": [
                          {
                            "value": "",
                            "key": ""
                          }
                        ],
                        "sku": "",
                        "amount_set": {
                          "presentment_money": {
                            "amount": "",
                            "currency_code": ""
                          },
                          "shop_money": {
                            "amount": "",
                            "currency_code": ""
                          }
                        },
                        "pricing_policy": [
                          {
                            "cycle_discounts": [
                              {
                                "adjustment_type": "",
                                "adjustment_value": 0
                              }
                            ]
                          }
                        ],
                        "variant_id": "",
                        "amount": ""
                      }
                    ]
                  },
                  "customer": {
                    "name": "customer",
                    "description": "用户信息",
                    "type": "object",
                    "properties": {
                      "phone": {
                        "name": "phone",
                        "description": "用户电话",
                        "type": "string",
                        "example": ""
                      },
                      "shipping_address": {
                        "name": "shipping_address",
                        "description": "收货地址",
                        "type": "object",
                        "properties": {
                          "zip": {
                            "name": "zip",
                            "description": "邮编",
                            "type": "string",
                            "example": ""
                          },
                          "address2": {
                            "name": "address2",
                            "description": "收货人详细地址附加",
                            "type": "string",
                            "example": ""
                          },
                          "country_code": {
                            "name": "country_code",
                            "description": "国家或地区，请参考国家代码规范传参，https://aurogon-portal.yy.com/document/interface/478",
                            "type": "string",
                            "example": ""
                          },
                          "city": {
                            "name": "city",
                            "description": "收货人市",
                            "type": "string",
                            "example": ""
                          },
                          "company": {
                            "name": "company",
                            "description": "公司名称",
                            "type": "string",
                            "example": ""
                          },
                          "phone": {
                            "name": "phone",
                            "description": "收货人联系方式",
                            "type": "string",
                            "example": ""
                          },
                          "province": {
                            "name": "province",
                            "description": "收货人省份",
                            "type": "string",
                            "example": ""
                          },
                          "address1": {
                            "name": "address1",
                            "description": "收货人详细地址",
                            "type": "string",
                            "example": ""
                          },
                          "last_name": {
                            "name": "last_name",
                            "description": "收货人姓",
                            "type": "string",
                            "example": ""
                          },
                          "city_code": {
                            "name": "city_code",
                            "description": "收货人市code",
                            "type": "string",
                            "example": ""
                          },
                          "province_code": {
                            "name": "province_code",
                            "description": "收货人省份code",
                            "type": "string",
                            "example": ""
                          },
                          "district_code": {
                            "name": "district_code",
                            "description": "收货人区code",
                            "type": "string",
                            "example": ""
                          },
                          "first_name": {
                            "name": "first_name",
                            "description": "收货人名",
                            "type": "string",
                            "example": ""
                          },
                          "district": {
                            "name": "district",
                            "description": "收货人区",
                            "type": "string",
                            "example": ""
                          },
                          "country": {
                            "name": "country",
                            "description": "国家或者地区",
                            "type": "string",
                            "example": ""
                          }
                        },
                        "example": {
                          "address1": "",
                          "province": "",
                          "company": "",
                          "city_code": "",
                          "address2": "",
                          "province_code": "",
                          "first_name": "",
                          "zip": "",
                          "country_code": "",
                          "district": "",
                          "phone": "",
                          "country": "",
                          "city": "",
                          "last_name": "",
                          "district_code": ""
                        }
                      },
                      "email": {
                        "name": "email",
                        "description": "用户邮件",
                        "type": "string",
                        "example": ""
                      },
                      "id": {
                        "name": "id",
                        "description": "用户id, buyerId",
                        "type": "string",
                        "example": ""
                      },
                      "nick_name": {
                        "name": "nick_name",
                        "description": "用户昵称",
                        "type": "string",
                        "example": ""
                      }
                    },
                    "example": {
                      "shipping_address": {
                        "phone": "",
                        "country": "",
                        "district_code": "",
                        "last_name": "",
                        "zip": "",
                        "address2": "",
                        "city_code": "",
                        "first_name": "",
                        "province": "",
                        "district": "",
                        "address1": "",
                        "province_code": "",
                        "country_code": "",
                        "company": "",
                        "city": ""
                      },
                      "email": "",
                      "id": "",
                      "nick_name": "",
                      "phone": ""
                    }
                  },
                  "last_payment_status": {
                    "name": "last_payment_status",
                    "description": "上一次付款状态",
                    "type": "string",
                    "example": ""
                  },
                  "delivery_info": {
                    "name": "delivery_info",
                    "description": "运送信息",
                    "type": "object",
                    "properties": {
                      "delivery_name": {
                        "name": "delivery_name",
                        "description": "方案名称",
                        "type": "string",
                        "example": ""
                      },
                      "delivery_seq": {
                        "name": "delivery_seq",
                        "description": "运费方案的seq",
                        "type": "string",
                        "example": ""
                      }
                    },
                    "example": {
                      "delivery_name": "",
                      "delivery_seq": ""
                    }
                  },
                  "created_at": {
                    "name": "created_at",
                    "description": "创建时间， 2019-09-07T15:50:00Z",
                    "type": "string",
                    "example": ""
                  }
                },
                "example": {
                  "customer_payment_method": {
                    "channel_code": "",
                    "instrument_detail": {
                      "account": {
                        "name": ""
                      },
                      "card": {
                        "expire_year": "",
                        "first": "",
                        "holder": "",
                        "last": "",
                        "brand": "",
                        "brand_icon": "",
                        "expire_month": ""
                      },
                      "type": ""
                    },
                    "instrument_seq": "",
                    "method_code": "",
                    "store_payment_id": ""
                  },
                  "delivery_info": {
                    "delivery_name": "",
                    "delivery_seq": ""
                  },
                  "app": {
                    "app_key": ""
                  },
                  "origin_order": {
                    "id": ""
                  },
                  "id": "",
                  "line_items": [
                    {
                      "amount_set": {
                        "presentment_money": {
                          "amount": "",
                          "currency_code": ""
                        },
                        "shop_money": {
                          "amount": "",
                          "currency_code": ""
                        }
                      },
                      "variant_attribute": "",
                      "amount": "",
                      "pricing_policy": [
                        {
                          "cycle_discounts": [
                            {
                              "adjustment_type": "",
                              "adjustment_value": 0
                            }
                          ]
                        }
                      ],
                      "version": "",
                      "title": "",
                      "variant_id": "",
                      "sku": "",
                      "attributes": [
                        {
                          "key": "",
                          "value": ""
                        }
                      ],
                      "image_url": "",
                      "product_source": "",
                      "quantity": 0,
                      "group_id": ""
                    }
                  ],
                  "created_at": "",
                  "currency_code": "",
                  "next_billing_date": "",
                  "periods": 0,
                  "status": "",
                  "last_payment_status": "",
                  "billing_policy": {
                    "max_cycles": 0,
                    "min_cycles": 0,
                    "interval": "",
                    "interval_count": 0
                  },
                  "customer": {
                    "phone": "",
                    "shipping_address": {
                      "country_code": "",
                      "phone": "",
                      "province_code": "",
                      "province": "",
                      "last_name": "",
                      "address2": "",
                      "district_code": "",
                      "zip": "",
                      "first_name": "",
                      "district": "",
                      "city_code": "",
                      "company": "",
                      "address1": "",
                      "city": "",
                      "country": ""
                    },
                    "email": "",
                    "id": "",
                    "nick_name": ""
                  },
                  "updated_at": ""
                }
              }
            },
            "example": {
              "subscription_contract": {
                "billing_policy": {
                  "min_cycles": 0,
                  "interval": "",
                  "interval_count": 0,
                  "max_cycles": 0
                },
                "line_items": [
                  {
                    "version": "",
                    "image_url": "",
                    "title": "",
                    "amount_set": {
                      "presentment_money": {
                        "amount": "",
                        "currency_code": ""
                      },
                      "shop_money": {
                        "amount": "",
                        "currency_code": ""
                      }
                    },
                    "quantity": 0,
                    "attributes": [
                      {
                        "value": "",
                        "key": ""
                      }
                    ],
                    "variant_attribute": "",
                    "amount": "",
                    "pricing_policy": [
                      {
                        "cycle_discounts": [
                          {
                            "adjustment_type": "",
                            "adjustment_value": 0
                          }
                        ]
                      }
                    ],
                    "sku": "",
                    "variant_id": "",
                    "group_id": "",
                    "product_source": ""
                  }
                ],
                "customer_payment_method": {
                  "channel_code": "",
                  "instrument_detail": {
                    "card": {
                      "brand": "",
                      "brand_icon": "",
                      "expire_month": "",
                      "expire_year": "",
                      "first": "",
                      "holder": "",
                      "last": ""
                    },
                    "type": "",
                    "account": {
                      "name": ""
                    }
                  },
                  "instrument_seq": "",
                  "method_code": "",
                  "store_payment_id": ""
                },
                "delivery_info": {
                  "delivery_name": "",
                  "delivery_seq": ""
                },
                "periods": 0,
                "created_at": "",
                "status": "",
                "last_payment_status": "",
                "id": "",
                "currency_code": "",
                "origin_order": {
                  "id": ""
                },
                "next_billing_date": "",
                "customer": {
                  "id": "",
                  "nick_name": "",
                  "phone": "",
                  "shipping_address": {
                    "address2": "",
                    "phone": "",
                    "company": "",
                    "country": "",
                    "zip": "",
                    "address1": "",
                    "city": "",
                    "province_code": "",
                    "city_code": "",
                    "first_name": "",
                    "district": "",
                    "country_code": "",
                    "district_code": "",
                    "province": "",
                    "last_name": ""
                  },
                  "email": ""
                },
                "app": {
                  "app_key": ""
                },
                "updated_at": ""
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/subscription/:id/contract.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。"
        }
      }
    }
  ],
  "info": {
    "title": "查询订阅合同详情",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_subscription_contracts"
  ]
}
```